Package com.independentsoft.office.odf

# Class EnumUtil

java.lang.Object
com.independentsoft.office.odf.EnumUtil

public class EnumUtil extends Object
The Class EnumUtil.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnumUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `parseAdjustment​(Adjustment adjustment)`
  Parses the adjustment.
  `static Adjustment`
  `parseAdjustment​(String adjustment)`
  Parses the adjustment.
  `static String`
  `parseAlignment​(Alignment alignment)`
  Parses the alignment.
  `static Alignment`
  `parseAlignment​(String alignment)`
  Parses the alignment.
  `static String`
  `parseAnchorType​(AnchorType type)`
  Parses the anchor type.
  `static AnchorType`
  `parseAnchorType​(String type)`
  Parses the anchor type.
  `static String`
  `parseAnimationDirection​(AnimationDirection direction)`
  Parses the animation direction.
  `static AnimationDirection`
  `parseAnimationDirection​(String direction)`
  Parses the animation direction.
  `static String`
  `parseAnimationType​(AnimationType type)`
  Parses the animation type.
  `static AnimationType`
  `parseAnimationType​(String type)`
  Parses the animation type.
  `static String`
  `parseAxisLabelPosition​(AxisLabelPosition position)`
  Parses the axis label position.
  `static AxisLabelPosition`
  `parseAxisLabelPosition​(String position)`
  Parses the axis label position.
  `static String`
  `parseBorderModel​(BorderModel model)`
  Parses the border model.
  `static BorderModel`
  `parseBorderModel​(String model)`
  Parses the border model.
  `static String`
  `parseBorderStyle​(BorderStyle style)`
  Parses the border style.
  `static BorderStyle`
  `parseBorderStyle​(String style)`
  Parses the border style.
  `static String`
  `parseBreak​(Break breakString)`
  Parses the break.
  `static Break`
  `parseBreak​(String breakString)`
  Parses the break.
  `static String`
  `parseButtonType​(ButtonType type)`
  Parses the button type.
  `static ButtonType`
  `parseButtonType​(String type)`
  Parses the button type.
  `static String`
  `parseCaptionAngleType​(CaptionAngleType type)`
  Parses the caption angle type.
  `static CaptionAngleType`
  `parseCaptionAngleType​(String type)`
  Parses the caption angle type.
  `static String`
  `parseCaptionEscapeDirection​(CaptionEscapeDirection direction)`
  Parses the caption escape direction.
  `static CaptionEscapeDirection`
  `parseCaptionEscapeDirection​(String direction)`
  Parses the caption escape direction.
  `static String`
  `parseCaptionSequenceFormat​(CaptionSequenceFormat format)`
  Parses the caption sequence format.
  `static CaptionSequenceFormat`
  `parseCaptionSequenceFormat​(String format)`
  Parses the caption sequence format.
  `static String`
  `parseCaptionType​(CaptionType type)`
  Parses the caption type.
  `static CaptionType`
  `parseCaptionType​(String type)`
  Parses the caption type.
  `static String`
  `parseCellProtectType​(CellProtectType type)`
  Parses the cell protect type.
  `static CellProtectType`
  `parseCellProtectType​(String type)`
  Parses the cell protect type.
  `static String`
  `parseCellValueType​(CellValueType type)`
  Parses the cell value type.
  `static CellValueType`
  `parseCellValueType​(String type)`
  Parses the cell value type.
  `static String`
  `parseCellVerticalAlignment​(CellVerticalAlignment alignment)`
  Parses the cell vertical alignment.
  `static CellVerticalAlignment`
  `parseCellVerticalAlignment​(String alignment)`
  Parses the cell vertical alignment.
  `static String`
  `parseChapterDisplayFormat​(ChapterDisplayFormat format)`
  Parses the chapter display format.
  `static ChapterDisplayFormat`
  `parseChapterDisplayFormat​(String format)`
  Parses the chapter display format.
  `static String`
  `parseChapterDisplayType​(ChapterDisplayType type)`
  Parses the chapter display type.
  `static ChapterDisplayType`
  `parseChapterDisplayType​(String type)`
  Parses the chapter display type.
  `static String`
  `parseChartType​(ChartType type)`
  Parses the chart type.
  `static ChartType`
  `parseChartType​(String type)`
  Parses the chart type.
  `static String`
  `parseCheckBoxState​(CheckBoxState state)`
  Parses the check box state.
  `static CheckBoxState`
  `parseCheckBoxState​(String state)`
  Parses the check box state.
  `static String`
  `parseColorMode​(ColorMode mode)`
  Parses the color mode.
  `static ColorMode`
  `parseColorMode​(String mode)`
  Parses the color mode.
  `static String`
  `parseColumnSeparatorLineStyle​(ColumnSeparatorLineStyle style)`
  Parses the column separator line style.
  `static ColumnSeparatorLineStyle`
  `parseColumnSeparatorLineStyle​(String style)`
  Parses the column separator line style.
  `static String`
  `parseCommandType​(CommandType type)`
  Parses the command type.
  `static CommandType`
  `parseCommandType​(String type)`
  Parses the command type.
  `static String`
  `parseConfigurationType​(ConfigurationType type)`
  Parses the configuration type.
  `static ConfigurationType`
  `parseConfigurationType​(String type)`
  Parses the configuration type.
  `static String`
  `parseConnectorType​(ConnectorType type)`
  Parses the connector type.
  `static ConnectorType`
  `parseConnectorType​(String type)`
  Parses the connector type.
  `static String`
  `parseDashStyle​(DashStyle style)`
  Parses the dash style.
  `static DashStyle`
  `parseDashStyle​(String style)`
  Parses the dash style.
  `static String`
  `parseDataLabelNumber​(DataLabelNumber number)`
  Parses the data label number.
  `static DataLabelNumber`
  `parseDataLabelNumber​(String number)`
  Parses the data label number.
  `static String`
  `parseDimension​(Dimension dimension)`
  Parses the dimension.
  `static Dimension`
  `parseDimension​(String dimension)`
  Parses the dimension.
  `static String`
  `parseDirection​(Direction direction)`
  Parses the direction.
  `static Direction`
  `parseDirection​(String direction)`
  Parses the direction.
  `static String`
  `parseDisplayFormat​(DisplayFormat format)`
  Parses the display format.
  `static DisplayFormat`
  `parseDisplayFormat​(String format)`
  Parses the display format.
  `static String`
  `parseDisplayListType​(DisplayListType type)`
  Parses the display list type.
  `static DisplayListType`
  `parseDisplayListType​(String type)`
  Parses the display list type.
  `static String`
  `parseDisplayType​(DisplayType type)`
  Parses the display type.
  `static DisplayType`
  `parseDisplayType​(String type)`
  Parses the display type.
  `static boolean`
  `parseEnableDisable​(String enable)`
  Parses the enable disable.
  `static String`
  `parseEscapeDirection​(EscapeDirection direction)`
  Parses the escape direction.
  `static EscapeDirection`
  `parseEscapeDirection​(String direction)`
  Parses the escape direction.
  `static String`
  `parseFileNameDisplayType​(FileNameDisplayType type)`
  Parses the file name display type.
  `static FileNameDisplayType`
  `parseFileNameDisplayType​(String type)`
  Parses the file name display type.
  `static String`
  `parseFillImageReferencePosition​(FillImageReferencePosition position)`
  Parses the fill image reference position.
  `static FillImageReferencePosition`
  `parseFillImageReferencePosition​(String position)`
  Parses the fill image reference position.
  `static String`
  `parseFillImageRenderingStyle​(FillImageRenderingStyle style)`
  Parses the fill image rendering style.
  `static FillImageRenderingStyle`
  `parseFillImageRenderingStyle​(String style)`
  Parses the fill image rendering style.
  `static String`
  `parseFillRule​(FillRule rule)`
  Parses the fill rule.
  `static FillRule`
  `parseFillRule​(String rule)`
  Parses the fill rule.
  `static String`
  `parseFillStyle​(FillStyle style)`
  Parses the fill style.
  `static FillStyle`
  `parseFillStyle​(String style)`
  Parses the fill style.
  `static String`
  `parseFontPitch​(FontPitch fontPitch)`
  Parses the font pitch.
  `static FontPitch`
  `parseFontPitch​(String fontPitch)`
  Parses the font pitch.
  `static String`
  `parseFontRelief​(FontRelief relief)`
  Parses the font relief.
  `static FontRelief`
  `parseFontRelief​(String relief)`
  Parses the font relief.
  `static String`
  `parseFontStretch​(FontStretch stretch)`
  Parses the font stretch.
  `static FontStretch`
  `parseFontStretch​(String stretch)`
  Parses the font stretch.
  `static String`
  `parseFontStyleType​(FontStyleType style)`
  Parses the font style type.
  `static FontStyleType`
  `parseFontStyleType​(String style)`
  Parses the font style type.
  `static String`
  `parseFontVariant​(FontVariant fontVariant)`
  Parses the font variant.
  `static FontVariant`
  `parseFontVariant​(String fontVariant)`
  Parses the font variant.
  `static String`
  `parseFontWeight​(FontWeight weight)`
  Parses the font weight.
  `static FontWeight`
  `parseFontWeight​(String weight)`
  Parses the font weight.
  `static String`
  `parseFootnotesPosition​(FootnotesPosition position)`
  Parses the footnotes position.
  `static FootnotesPosition`
  `parseFootnotesPosition​(String position)`
  Parses the footnotes position.
  `static String`
  `parseFormatSource​(FormatSource source)`
  Parses the format source.
  `static FormatSource`
  `parseFormatSource​(String source)`
  Parses the format source.
  `static String`
  `parseFormPropertyValueType​(FormPropertyValueType type)`
  Parses the form property value type.
  `static FormPropertyValueType`
  `parseFormPropertyValueType​(String type)`
  Parses the form property value type.
  `static String`
  `parseGenericFontFamily​(GenericFontFamily family)`
  Parses the generic font family.
  `static GenericFontFamily`
  `parseGenericFontFamily​(String family)`
  Parses the generic font family.
  `static String`
  `parseGradientStyle​(GradientStyle style)`
  Parses the gradient style.
  `static GradientStyle`
  `parseGradientStyle​(String style)`
  Parses the gradient style.
  `static String`
  `parseGridType​(GridType type)`
  Parses the grid type.
  `static GridType`
  `parseGridType​(String type)`
  Parses the grid type.
  `static String`
  `parseHatchStyle​(HatchStyle style)`
  Parses the hatch style.
  `static HatchStyle`
  `parseHatchStyle​(String style)`
  Parses the hatch style.
  `static String`
  `parseHorizontalPosition​(HorizontalPosition type)`
  Parses the horizontal position.
  `static HorizontalPosition`
  `parseHorizontalPosition​(String type)`
  Parses the horizontal position.
  `static String`
  `parseHorizontalRelation​(HorizontalRelation relation)`
  Parses the horizontal relation.
  `static HorizontalRelation`
  `parseHorizontalRelation​(String relation)`
  Parses the horizontal relation.
  `static String`
  `parseImageAlignment​(ImageAlignment alignment)`
  Parses the image alignment.
  `static ImageAlignment`
  `parseImageAlignment​(String alignment)`
  Parses the image alignment.
  `static String`
  `parseImagePosition​(ImagePosition position)`
  Parses the image position.
  `static ImagePosition`
  `parseImagePosition​(String position)`
  Parses the image position.
  `static String`
  `parseIndexScope​(IndexScope scope)`
  Parses the index scope.
  `static IndexScope`
  `parseIndexScope​(String scope)`
  Parses the index scope.
  `static String`
  `parseKeepTogether​(KeepTogether keep)`
  Parses the keep together.
  `static KeepTogether`
  `parseKeepTogether​(String keep)`
  Parses the keep together.
  `static String`
  `parseKey​(Key key)`
  Parses the key.
  `static Key`
  `parseKey​(String key)`
  Parses the key.
  `static String`
  `parseKind​(Kind kind)`
  Parses the kind.
  `static Kind`
  `parseKind​(String kind)`
  Parses the kind.
  `static String`
  `parseLabelArrangement​(LabelArrangement arrangement)`
  Parses the label arrangement.
  `static LabelArrangement`
  `parseLabelArrangement​(String arrangement)`
  Parses the label arrangement.
  `static String`
  `parseLabelFollowedBy​(LabelFollowedBy labelFollowedBy)`
  Parses the label followed by.
  `static LabelFollowedBy`
  `parseLabelFollowedBy​(String labelFollowedBy)`
  Parses the label followed by.
  `static String`
  `parseLabelPosition​(LabelPosition position)`
  Parses the label position.
  `static LabelPosition`
  `parseLabelPosition​(String position)`
  Parses the label position.
  `static String`
  `parseLabelRangeOrientation​(LabelRangeOrientation orientation)`
  Parses the label range orientation.
  `static LabelRangeOrientation`
  `parseLabelRangeOrientation​(String orientation)`
  Parses the label range orientation.
  `static String`
  `parseLayoutGridMode​(LayoutGridMode mode)`
  Parses the layout grid mode.
  `static LayoutGridMode`
  `parseLayoutGridMode​(String mode)`
  Parses the layout grid mode.
  `static String`
  `parseLegendAlign​(LegendAlign align)`
  Parses the legend align.
  `static LegendAlign`
  `parseLegendAlign​(String align)`
  Parses the legend align.
  `static String`
  `parseLegendExpansion​(LegendExpansion expansion)`
  Parses the legend expansion.
  `static LegendExpansion`
  `parseLegendExpansion​(String expansion)`
  Parses the legend expansion.
  `static String`
  `parseLegendPosition​(LegendPosition position)`
  Parses the legend position.
  `static LegendPosition`
  `parseLegendPosition​(String position)`
  Parses the legend position.
  `static String`
  `parseLineBreakType​(LineBreakType type)`
  Parses the line break type.
  `static LineBreakType`
  `parseLineBreakType​(String type)`
  Parses the line break type.
  `static String`
  `parseLineMode​(LineMode mode)`
  Parses the line mode.
  `static LineMode`
  `parseLineMode​(String mode)`
  Parses the line mode.
  `static String`
  `parseLineStyle​(LineStyle style)`
  Parses the line style.
  `static LineStyle`
  `parseLineStyle​(String style)`
  Parses the line style.
  `static String`
  `parseLineType​(LineType type)`
  Parses the line type.
  `static LineType`
  `parseLineType​(String type)`
  Parses the line type.
  `static String`
  `parseListLevelPositionAndSpaceMode​(ListLevelPositionAndSpaceMode mode)`
  Parses the list level position and space mode.
  `static ListLevelPositionAndSpaceMode`
  `parseListLevelPositionAndSpaceMode​(String mode)`
  Parses the list level position and space mode.
  `static String`
  `parseListSourceType​(ListSourceType type)`
  Parses the list source type.
  `static ListSourceType`
  `parseListSourceType​(String type)`
  Parses the list source type.
  `static String`
  `parseMeasureHorizontalAlignment​(MeasureHorizontalAlignment alignment)`
  Parses the measure horizontal alignment.
  `static MeasureHorizontalAlignment`
  `parseMeasureHorizontalAlignment​(String alignment)`
  Parses the measure horizontal alignment.
  `static String`
  `parseMeasureUnit​(MeasureUnit unit)`
  Parses the measure unit.
  `static MeasureUnit`
  `parseMeasureUnit​(String unit)`
  Parses the measure unit.
  `static String`
  `parseMeasureVerticalAlignment​(MeasureVerticalAlignment alignment)`
  Parses the measure vertical alignment.
  `static MeasureVerticalAlignment`
  `parseMeasureVerticalAlignment​(String alignment)`
  Parses the measure vertical alignment.
  `static String`
  `parseMessageType​(MessageType type)`
  Parses the message type.
  `static MessageType`
  `parseMessageType​(String type)`
  Parses the message type.
  `static String`
  `parseNavigationMode​(NavigationMode mode)`
  Parses the navigation mode.
  `static NavigationMode`
  `parseNavigationMode​(String mode)`
  Parses the navigation mode.
  `static String`
  `parseNoteClass​(NoteClass type)`
  Parses the note class.
  `static NoteClass`
  `parseNoteClass​(String type)`
  Parses the note class.
  `static String`
  `parseNumberingScheme​(NumberingScheme scheme)`
  Parses the numbering scheme.
  `static NumberingScheme`
  `parseNumberingScheme​(String scheme)`
  Parses the numbering scheme.
  `static String`
  `parseNumberPosition​(NumberPosition position)`
  Parses the number position.
  `static NumberPosition`
  `parseNumberPosition​(String position)`
  Parses the number position.
  `static String`
  `parseOrientation​(Orientation orientation)`
  Parses the orientation.
  `static Orientation`
  `parseOrientation​(String orientation)`
  Parses the orientation.
  `static String`
  `parsePageUsage​(PageUsage pageUsage)`
  Parses the page usage.
  `static PageUsage`
  `parsePageUsage​(String pageUsage)`
  Parses the page usage.
  `static String`
  `parsePlaceholderType​(PlaceholderType type)`
  Parses the placeholder type.
  `static PlaceholderType`
  `parsePlaceholderType​(String type)`
  Parses the placeholder type.
  `static String`
  `parsePlacing​(Placing placing)`
  Parses the placing.
  `static Placing`
  `parsePlacing​(String placing)`
  Parses the placing.
  `static String`
  `parsePrintOrientation​(PrintOrientation orientation)`
  Parses the print orientation.
  `static PrintOrientation`
  `parsePrintOrientation​(String orientation)`
  Parses the print orientation.
  `static String`
  `parsePrintPageOrder​(PrintPageOrder order)`
  Parses the print page order.
  `static PrintPageOrder`
  `parsePrintPageOrder​(String order)`
  Parses the print page order.
  `static String`
  `parseProtectType​(ProtectType type)`
  Parses the protect type.
  `static ProtectType`
  `parseProtectType​(String type)`
  Parses the protect type.
  `static String`
  `parsePunctuationWrap​(PunctuationWrap wrap)`
  Parses the punctuation wrap.
  `static PunctuationWrap`
  `parsePunctuationWrap​(String wrap)`
  Parses the punctuation wrap.
  `static String`
  `parseReferenceFormat​(ReferenceFormat format)`
  Parses the reference format.
  `static ReferenceFormat`
  `parseReferenceFormat​(String format)`
  Parses the reference format.
  `static String`
  `parseRepetition​(Repetition repetition)`
  Parses the repetition.
  `static Repetition`
  `parseRepetition​(String repetition)`
  Parses the repetition.
  `static String`
  `parseRotationAlignment​(RotationAlignment alignment)`
  Parses the rotation alignment.
  `static RotationAlignment`
  `parseRotationAlignment​(String alignment)`
  Parses the rotation alignment.
  `static String`
  `parseRubyAlignment​(RubyAlignment alignment)`
  Parses the ruby alignment.
  `static RubyAlignment`
  `parseRubyAlignment​(String alignment)`
  Parses the ruby alignment.
  `static String`
  `parseRubyPosition​(RubyPosition position)`
  Parses the ruby position.
  `static RubyPosition`
  `parseRubyPosition​(String position)`
  Parses the ruby position.
  `static String`
  `parseRunThrough​(RunThrough through)`
  Parses the run through.
  `static RunThrough`
  `parseRunThrough​(String through)`
  Parses the run through.
  `static String`
  `parseScriptType​(ScriptType type)`
  Parses the script type.
  `static ScriptType`
  `parseScriptType​(String type)`
  Parses the script type.
  `static String`
  `parseSectionDisplayType​(SectionDisplayType type)`
  Parses the section display type.
  `static SectionDisplayType`
  `parseSectionDisplayType​(String type)`
  Parses the section display type.
  `static String`
  `parseSelectPage​(SelectPage page)`
  Parses the select page.
  `static SelectPage`
  `parseSelectPage​(String page)`
  Parses the select page.
  `static String`
  `parseSequenceReferenceFormat​(SequenceReferenceFormat format)`
  Parses the sequence reference format.
  `static SequenceReferenceFormat`
  `parseSequenceReferenceFormat​(String format)`
  Parses the sequence reference format.
  `static String`
  `parseShadowVisibility​(ShadowVisibility visibility)`
  Parses the shadow visibility.
  `static ShadowVisibility`
  `parseShadowVisibility​(String visibility)`
  Parses the shadow visibility.
  `static String`
  `parseSpreadMethod​(SpreadMethod method)`
  Parses the spread method.
  `static SpreadMethod`
  `parseSpreadMethod​(String method)`
  Parses the spread method.
  `static String`
  `parseStrokeLineJoin​(StrokeLineJoin join)`
  Parses the stroke line join.
  `static StrokeLineJoin`
  `parseStrokeLineJoin​(String join)`
  Parses the stroke line join.
  `static String`
  `parseStrokeStyle​(StrokeStyle style)`
  Parses the stroke style.
  `static StrokeStyle`
  `parseStrokeStyle​(String style)`
  Parses the stroke style.
  `static String`
  `parseStyleFamily​(StyleFamily family)`
  Parses the style family.
  `static StyleFamily`
  `parseStyleFamily​(String family)`
  Parses the style family.
  `static String`
  `parseTabCycle​(TabCycle cycle)`
  Parses the tab cycle.
  `static TabCycle`
  `parseTabCycle​(String cycle)`
  Parses the tab cycle.
  `static String`
  `parseTableAlignment​(TableAlignment align)`
  Parses the table alignment.
  `static TableAlignment`
  `parseTableAlignment​(String align)`
  Parses the table alignment.
  `static String`
  `parseTableCentering​(TableCentering centering)`
  Parses the table centering.
  `static TableCentering`
  `parseTableCentering​(String centering)`
  Parses the table centering.
  `static String`
  `parseTableType​(TableType type)`
  Parses the table type.
  `static TableType`
  `parseTableType​(String type)`
  Parses the table type.
  `static String`
  `parseTabStopIndexEntryType​(TabStopIndexEntryType type)`
  Parses the tab stop index entry type.
  `static TabStopIndexEntryType`
  `parseTabStopIndexEntryType​(String type)`
  Parses the tab stop index entry type.
  `static String`
  `parseTabStopType​(TabStopType type)`
  Parses the tab stop type.
  `static TabStopType`
  `parseTabStopType​(String type)`
  Parses the tab stop type.
  `static String`
  `parseTemplateNameDisplayType​(TemplateNameDisplayType type)`
  Parses the template name display type.
  `static TemplateNameDisplayType`
  `parseTemplateNameDisplayType​(String type)`
  Parses the template name display type.
  `static String`
  `parseTextAlignment​(TextAlignment align)`
  Parses the text alignment.
  `static TextAlignment`
  `parseTextAlignment​(String align)`
  Parses the text alignment.
  `static String`
  `parseTextAlignmentLastLine​(TextAlignmentLastLine alignment)`
  Parses the text alignment last line.
  `static TextAlignmentLastLine`
  `parseTextAlignmentLastLine​(String alignment)`
  Parses the text alignment last line.
  `static String`
  `parseTextAlignmentSource​(TextAlignmentSource source)`
  Parses the text alignment source.
  `static TextAlignmentSource`
  `parseTextAlignmentSource​(String source)`
  Parses the text alignment source.
  `static String`
  `parseTextAreaHorizontalAlignment​(TextAreaHorizontalAlignment alignment)`
  Parses the text area horizontal alignment.
  `static TextAreaHorizontalAlignment`
  `parseTextAreaHorizontalAlignment​(String alignment)`
  Parses the text area horizontal alignment.
  `static String`
  `parseTextAreaVerticalAlignment​(TextAreaVerticalAlignment alignment)`
  Parses the text area vertical alignment.
  `static TextAreaVerticalAlignment`
  `parseTextAreaVerticalAlignment​(String alignment)`
  Parses the text area vertical alignment.
  `static String`
  `parseTextAutospace​(TextAutospace autospace)`
  Parses the text autospace.
  `static TextAutospace`
  `parseTextAutospace​(String autospace)`
  Parses the text autospace.
  `static String`
  `parseTextCombine​(TextCombine combine)`
  Parses the text combine.
  `static TextCombine`
  `parseTextCombine​(String combine)`
  Parses the text combine.
  `static String`
  `parseTextRotationScale​(TextRotationScale scale)`
  Parses the text rotation scale.
  `static TextRotationScale`
  `parseTextRotationScale​(String scale)`
  Parses the text rotation scale.
  `static String`
  `parseTextTransformation​(TextTransformation transformation)`
  Parses the text transformation.
  `static TextTransformation`
  `parseTextTransformation​(String transformation)`
  Parses the text transformation.
  `static String`
  `parseTransliterationStyle​(TransliterationStyle style)`
  Parses the transliteration style.
  `static TransliterationStyle`
  `parseTransliterationStyle​(String style)`
  Parses the transliteration style.
  `static String`
  `parseUnderlineStyle​(UnderlineStyle style)`
  Parses the underline style.
  `static UnderlineStyle`
  `parseUnderlineStyle​(String style)`
  Parses the underline style.
  `static String`
  `parseUnderlineType​(UnderlineType type)`
  Parses the underline type.
  `static UnderlineType`
  `parseUnderlineType​(String type)`
  Parses the underline type.
  `static String`
  `parseUnit​(Unit unit)`
  Parses the unit.
  `static Unit`
  `parseUnit​(String unit)`
  Parses the unit.
  `static String`
  `parseUserDefinedMetadataElementType​(UserDefinedMetadataElementType type)`
  Parses the user defined metadata element type.
  `static UserDefinedMetadataElementType`
  `parseUserDefinedMetadataElementType​(String type)`
  Parses the user defined metadata element type.
  `static String`
  `parseVariableValueType​(VariableValueType type)`
  Parses the variable value type.
  `static VariableValueType`
  `parseVariableValueType​(String type)`
  Parses the variable value type.
  `static String`
  `parseVerticalAlignment​(VerticalAlignment alignment)`
  Parses the vertical alignment.
  `static VerticalAlignment`
  `parseVerticalAlignment​(String alignment)`
  Parses the vertical alignment.
  `static String`
  `parseVerticalGlyphOrientation​(VerticalGlyphOrientation orientation)`
  Parses the vertical glyph orientation.
  `static VerticalGlyphOrientation`
  `parseVerticalGlyphOrientation​(String orientation)`
  Parses the vertical glyph orientation.
  `static String`
  `parseVerticalLineAlignment​(VerticalLineAlignment alignment)`
  Parses the vertical line alignment.
  `static VerticalLineAlignment`
  `parseVerticalLineAlignment​(String alignment)`
  Parses the vertical line alignment.
  `static String`
  `parseVerticalPosition​(VerticalPosition type)`
  Parses the vertical position.
  `static VerticalPosition`
  `parseVerticalPosition​(String type)`
  Parses the vertical position.
  `static String`
  `parseVerticalRelation​(VerticalRelation relation)`
  Parses the vertical relation.
  `static VerticalRelation`
  `parseVerticalRelation​(String relation)`
  Parses the vertical relation.
  `static String`
  `parseVisibility​(Visibility visibility)`
  Parses the visibility.
  `static Visibility`
  `parseVisibility​(String visibility)`
  Parses the visibility.
  `static String`
  `parseVisualEffect​(VisualEffect effect)`
  Parses the visual effect.
  `static VisualEffect`
  `parseVisualEffect​(String effect)`
  Parses the visual effect.
  `static String`
  `parseWordWrapType​(WordWrapType type)`
  Parses the word wrap type.
  `static WordWrapType`
  `parseWordWrapType​(String type)`
  Parses the word wrap type.
  `static String`
  `parseWrapInfluence​(WrapInfluence influence)`
  Parses the wrap influence.
  `static WrapInfluence`
  `parseWrapInfluence​(String influence)`
  Parses the wrap influence.
  `static String`
  `parseWrapType​(WrapType wrap)`
  Parses the wrap type.
  `static WrapType`
  `parseWrapType​(String wrap)`
  Parses the wrap type.
  `static String`
  `parseWritingMode​(WritingMode mode)`
  Parses the writing mode.
  `static WritingMode`
  `parseWritingMode​(String mode)`
  Parses the writing mode.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumUtil

    public EnumUtil()

- ## Method Details

  - ### parseLabelPosition

    public static LabelPosition parseLabelPosition​(String position)
    Parses the label position.
    Parameters:
      `position` - the position
    Returns:
      the label position

  - ### parseLabelPosition

    public static String parseLabelPosition​(LabelPosition position)
    Parses the label position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseDataLabelNumber

    public static DataLabelNumber parseDataLabelNumber​(String number)
    Parses the data label number.
    Parameters:
      `number` - the number
    Returns:
      the data label number

  - ### parseDataLabelNumber

    public static String parseDataLabelNumber​(DataLabelNumber number)
    Parses the data label number.
    Parameters:
      `number` - the number
    Returns:
      the string

  - ### parseAxisLabelPosition

    public static AxisLabelPosition parseAxisLabelPosition​(String position)
    Parses the axis label position.
    Parameters:
      `position` - the position
    Returns:
      the axis label position

  - ### parseAxisLabelPosition

    public static String parseAxisLabelPosition​(AxisLabelPosition position)
    Parses the axis label position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseLabelArrangement

    public static LabelArrangement parseLabelArrangement​(String arrangement)
    Parses the label arrangement.
    Parameters:
      `arrangement` - the arrangement
    Returns:
      the label arrangement

  - ### parseLabelArrangement

    public static String parseLabelArrangement​(LabelArrangement arrangement)
    Parses the label arrangement.
    Parameters:
      `arrangement` - the arrangement
    Returns:
      the string

  - ### parseDimension

    public static Dimension parseDimension​(String dimension)
    Parses the dimension.
    Parameters:
      `dimension` - the dimension
    Returns:
      the dimension

  - ### parseDimension

    public static String parseDimension​(Dimension dimension)
    Parses the dimension.
    Parameters:
      `dimension` - the dimension
    Returns:
      the string

  - ### parseGridType

    public static GridType parseGridType​(String type)
    Parses the grid type.
    Parameters:
      `type` - the type
    Returns:
      the grid type

  - ### parseGridType

    public static String parseGridType​(GridType type)
    Parses the grid type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseChartType

    public static ChartType parseChartType​(String type)
    Parses the chart type.
    Parameters:
      `type` - the type
    Returns:
      the chart type

  - ### parseChartType

    public static String parseChartType​(ChartType type)
    Parses the chart type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseSequenceReferenceFormat

    public static SequenceReferenceFormat parseSequenceReferenceFormat​(String format)
    Parses the sequence reference format.
    Parameters:
      `format` - the format
    Returns:
      the sequence reference format

  - ### parseSequenceReferenceFormat

    public static String parseSequenceReferenceFormat​(SequenceReferenceFormat format)
    Parses the sequence reference format.
    Parameters:
      `format` - the format
    Returns:
      the string

  - ### parseLegendPosition

    public static LegendPosition parseLegendPosition​(String position)
    Parses the legend position.
    Parameters:
      `position` - the position
    Returns:
      the legend position

  - ### parseLegendPosition

    public static String parseLegendPosition​(LegendPosition position)
    Parses the legend position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseLegendExpansion

    public static LegendExpansion parseLegendExpansion​(String expansion)
    Parses the legend expansion.
    Parameters:
      `expansion` - the expansion
    Returns:
      the legend expansion

  - ### parseLegendExpansion

    public static String parseLegendExpansion​(LegendExpansion expansion)
    Parses the legend expansion.
    Parameters:
      `expansion` - the expansion
    Returns:
      the string

  - ### parseLegendAlign

    public static LegendAlign parseLegendAlign​(String align)
    Parses the legend align.
    Parameters:
      `align` - the align
    Returns:
      the legend align

  - ### parseLegendAlign

    public static String parseLegendAlign​(LegendAlign align)
    Parses the legend align.
    Parameters:
      `align` - the align
    Returns:
      the string

  - ### parseListLevelPositionAndSpaceMode

    public static ListLevelPositionAndSpaceMode parseListLevelPositionAndSpaceMode​(String mode)
    Parses the list level position and space mode.
    Parameters:
      `mode` - the mode
    Returns:
      the list level position and space mode

  - ### parseListLevelPositionAndSpaceMode

    public static String parseListLevelPositionAndSpaceMode​(ListLevelPositionAndSpaceMode mode)
    Parses the list level position and space mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseLabelFollowedBy

    public static LabelFollowedBy parseLabelFollowedBy​(String labelFollowedBy)
    Parses the label followed by.
    Parameters:
      `labelFollowedBy` - the label followed by
    Returns:
      the label followed by

  - ### parseLabelFollowedBy

    public static String parseLabelFollowedBy​(LabelFollowedBy labelFollowedBy)
    Parses the label followed by.
    Parameters:
      `labelFollowedBy` - the label followed by
    Returns:
      the string

  - ### parseReferenceFormat

    public static ReferenceFormat parseReferenceFormat​(String format)
    Parses the reference format.
    Parameters:
      `format` - the format
    Returns:
      the reference format

  - ### parseReferenceFormat

    public static String parseReferenceFormat​(ReferenceFormat format)
    Parses the reference format.
    Parameters:
      `format` - the format
    Returns:
      the string

  - ### parseRepetition

    public static Repetition parseRepetition​(String repetition)
    Parses the repetition.
    Parameters:
      `repetition` - the repetition
    Returns:
      the repetition

  - ### parseRepetition

    public static String parseRepetition​(Repetition repetition)
    Parses the repetition.
    Parameters:
      `repetition` - the repetition
    Returns:
      the string

  - ### parseDashStyle

    public static DashStyle parseDashStyle​(String style)
    Parses the dash style.
    Parameters:
      `style` - the style
    Returns:
      the dash style

  - ### parseDashStyle

    public static String parseDashStyle​(DashStyle style)
    Parses the dash style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseHatchStyle

    public static HatchStyle parseHatchStyle​(String style)
    Parses the hatch style.
    Parameters:
      `style` - the style
    Returns:
      the hatch style

  - ### parseHatchStyle

    public static String parseHatchStyle​(HatchStyle style)
    Parses the hatch style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseSpreadMethod

    public static SpreadMethod parseSpreadMethod​(String method)
    Parses the spread method.
    Parameters:
      `method` - the method
    Returns:
      the spread method

  - ### parseSpreadMethod

    public static String parseSpreadMethod​(SpreadMethod method)
    Parses the spread method.
    Parameters:
      `method` - the method
    Returns:
      the string

  - ### parseLayoutGridMode

    public static LayoutGridMode parseLayoutGridMode​(String mode)
    Parses the layout grid mode.
    Parameters:
      `mode` - the mode
    Returns:
      the layout grid mode

  - ### parseLayoutGridMode

    public static String parseLayoutGridMode​(LayoutGridMode mode)
    Parses the layout grid mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseKey

    public static Key parseKey​(String key)
    Parses the key.
    Parameters:
      `key` - the key
    Returns:
      the key

  - ### parseKey

    public static String parseKey​(Key key)
    Parses the key.
    Parameters:
      `key` - the key
    Returns:
      the string

  - ### parseGradientStyle

    public static GradientStyle parseGradientStyle​(String style)
    Parses the gradient style.
    Parameters:
      `style` - the style
    Returns:
      the gradient style

  - ### parseGradientStyle

    public static String parseGradientStyle​(GradientStyle style)
    Parses the gradient style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseNumberPosition

    public static NumberPosition parseNumberPosition​(String position)
    Parses the number position.
    Parameters:
      `position` - the position
    Returns:
      the number position

  - ### parseNumberPosition

    public static String parseNumberPosition​(NumberPosition position)
    Parses the number position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseNumberingScheme

    public static NumberingScheme parseNumberingScheme​(String scheme)
    Parses the numbering scheme.
    Parameters:
      `scheme` - the scheme
    Returns:
      the numbering scheme

  - ### parseNumberingScheme

    public static String parseNumberingScheme​(NumberingScheme scheme)
    Parses the numbering scheme.
    Parameters:
      `scheme` - the scheme
    Returns:
      the string

  - ### parseFootnotesPosition

    public static FootnotesPosition parseFootnotesPosition​(String position)
    Parses the footnotes position.
    Parameters:
      `position` - the position
    Returns:
      the footnotes position

  - ### parseFootnotesPosition

    public static String parseFootnotesPosition​(FootnotesPosition position)
    Parses the footnotes position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseAdjustment

    public static Adjustment parseAdjustment​(String adjustment)
    Parses the adjustment.
    Parameters:
      `adjustment` - the adjustment
    Returns:
      the adjustment

  - ### parseAdjustment

    public static String parseAdjustment​(Adjustment adjustment)
    Parses the adjustment.
    Parameters:
      `adjustment` - the adjustment
    Returns:
      the string

  - ### parseAnchorType

    public static AnchorType parseAnchorType​(String type)
    Parses the anchor type.
    Parameters:
      `type` - the type
    Returns:
      the anchor type

  - ### parseAnchorType

    public static String parseAnchorType​(AnchorType type)
    Parses the anchor type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseWrapInfluence

    public static WrapInfluence parseWrapInfluence​(String influence)
    Parses the wrap influence.
    Parameters:
      `influence` - the influence
    Returns:
      the wrap influence

  - ### parseWrapInfluence

    public static String parseWrapInfluence​(WrapInfluence influence)
    Parses the wrap influence.
    Parameters:
      `influence` - the influence
    Returns:
      the string

  - ### parseProtectType

    public static ProtectType parseProtectType​(String type)
    Parses the protect type.
    Parameters:
      `type` - the type
    Returns:
      the protect type

  - ### parseProtectType

    public static String parseProtectType​(ProtectType type)
    Parses the protect type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseRunThrough

    public static RunThrough parseRunThrough​(String through)
    Parses the run through.
    Parameters:
      `through` - the through
    Returns:
      the run through

  - ### parseRunThrough

    public static String parseRunThrough​(RunThrough through)
    Parses the run through.
    Parameters:
      `through` - the through
    Returns:
      the string

  - ### parseConnectorType

    public static ConnectorType parseConnectorType​(String type)
    Parses the connector type.
    Parameters:
      `type` - the type
    Returns:
      the connector type

  - ### parseConnectorType

    public static String parseConnectorType​(ConnectorType type)
    Parses the connector type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseKind

    public static Kind parseKind​(String kind)
    Parses the kind.
    Parameters:
      `kind` - the kind
    Returns:
      the kind

  - ### parseKind

    public static String parseKind​(Kind kind)
    Parses the kind.
    Parameters:
      `kind` - the kind
    Returns:
      the string

  - ### parseAlignment

    public static Alignment parseAlignment​(String alignment)
    Parses the alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the alignment

  - ### parseAlignment

    public static String parseAlignment​(Alignment alignment)
    Parses the alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseEscapeDirection

    public static EscapeDirection parseEscapeDirection​(String direction)
    Parses the escape direction.
    Parameters:
      `direction` - the direction
    Returns:
      the escape direction

  - ### parseEscapeDirection

    public static String parseEscapeDirection​(EscapeDirection direction)
    Parses the escape direction.
    Parameters:
      `direction` - the direction
    Returns:
      the string

  - ### parseStrokeLineJoin

    public static StrokeLineJoin parseStrokeLineJoin​(String join)
    Parses the stroke line join.
    Parameters:
      `join` - the join
    Returns:
      the stroke line join

  - ### parseStrokeLineJoin

    public static String parseStrokeLineJoin​(StrokeLineJoin join)
    Parses the stroke line join.
    Parameters:
      `join` - the join
    Returns:
      the string

  - ### parseVisualEffect

    public static VisualEffect parseVisualEffect​(String effect)
    Parses the visual effect.
    Parameters:
      `effect` - the effect
    Returns:
      the visual effect

  - ### parseVisualEffect

    public static String parseVisualEffect​(VisualEffect effect)
    Parses the visual effect.
    Parameters:
      `effect` - the effect
    Returns:
      the string

  - ### parseOrientation

    public static Orientation parseOrientation​(String orientation)
    Parses the orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the orientation

  - ### parseOrientation

    public static String parseOrientation​(Orientation orientation)
    Parses the orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the string

  - ### parseDisplayType

    public static DisplayType parseDisplayType​(String type)
    Parses the display type.
    Parameters:
      `type` - the type
    Returns:
      the display type

  - ### parseDisplayType

    public static String parseDisplayType​(DisplayType type)
    Parses the display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseImageAlignment

    public static ImageAlignment parseImageAlignment​(String alignment)
    Parses the image alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the image alignment

  - ### parseImageAlignment

    public static String parseImageAlignment​(ImageAlignment alignment)
    Parses the image alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseImagePosition

    public static ImagePosition parseImagePosition​(String position)
    Parses the image position.
    Parameters:
      `position` - the position
    Returns:
      the image position

  - ### parseImagePosition

    public static String parseImagePosition​(ImagePosition position)
    Parses the image position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseTableType

    public static TableType parseTableType​(String type)
    Parses the table type.
    Parameters:
      `type` - the type
    Returns:
      the table type

  - ### parseTableType

    public static String parseTableType​(TableType type)
    Parses the table type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePlacing

    public static Placing parsePlacing​(String placing)
    Parses the placing.
    Parameters:
      `placing` - the placing
    Returns:
      the placing

  - ### parsePlacing

    public static String parsePlacing​(Placing placing)
    Parses the placing.
    Parameters:
      `placing` - the placing
    Returns:
      the string

  - ### parsePlaceholderType

    public static PlaceholderType parsePlaceholderType​(String type)
    Parses the placeholder type.
    Parameters:
      `type` - the type
    Returns:
      the placeholder type

  - ### parsePlaceholderType

    public static String parsePlaceholderType​(PlaceholderType type)
    Parses the placeholder type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFormPropertyValueType

    public static FormPropertyValueType parseFormPropertyValueType​(String type)
    Parses the form property value type.
    Parameters:
      `type` - the type
    Returns:
      the form property value type

  - ### parseFormPropertyValueType

    public static String parseFormPropertyValueType​(FormPropertyValueType type)
    Parses the form property value type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseVariableValueType

    public static VariableValueType parseVariableValueType​(String type)
    Parses the variable value type.
    Parameters:
      `type` - the type
    Returns:
      the variable value type

  - ### parseVariableValueType

    public static String parseVariableValueType​(VariableValueType type)
    Parses the variable value type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTemplateNameDisplayType

    public static TemplateNameDisplayType parseTemplateNameDisplayType​(String type)
    Parses the template name display type.
    Parameters:
      `type` - the type
    Returns:
      the template name display type

  - ### parseTemplateNameDisplayType

    public static String parseTemplateNameDisplayType​(TemplateNameDisplayType type)
    Parses the template name display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFileNameDisplayType

    public static FileNameDisplayType parseFileNameDisplayType​(String type)
    Parses the file name display type.
    Parameters:
      `type` - the type
    Returns:
      the file name display type

  - ### parseFileNameDisplayType

    public static String parseFileNameDisplayType​(FileNameDisplayType type)
    Parses the file name display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseLabelRangeOrientation

    public static LabelRangeOrientation parseLabelRangeOrientation​(String orientation)
    Parses the label range orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the label range orientation

  - ### parseLabelRangeOrientation

    public static String parseLabelRangeOrientation​(LabelRangeOrientation orientation)
    Parses the label range orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the string

  - ### parseListSourceType

    public static ListSourceType parseListSourceType​(String type)
    Parses the list source type.
    Parameters:
      `type` - the type
    Returns:
      the list source type

  - ### parseListSourceType

    public static String parseListSourceType​(ListSourceType type)
    Parses the list source type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCommandType

    public static CommandType parseCommandType​(String type)
    Parses the command type.
    Parameters:
      `type` - the type
    Returns:
      the command type

  - ### parseCommandType

    public static String parseCommandType​(CommandType type)
    Parses the command type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseButtonType

    public static ButtonType parseButtonType​(String type)
    Parses the button type.
    Parameters:
      `type` - the type
    Returns:
      the button type

  - ### parseButtonType

    public static String parseButtonType​(ButtonType type)
    Parses the button type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCheckBoxState

    public static CheckBoxState parseCheckBoxState​(String state)
    Parses the check box state.
    Parameters:
      `state` - the state
    Returns:
      the check box state

  - ### parseCheckBoxState

    public static String parseCheckBoxState​(CheckBoxState state)
    Parses the check box state.
    Parameters:
      `state` - the state
    Returns:
      the string

  - ### parseTabStopIndexEntryType

    public static TabStopIndexEntryType parseTabStopIndexEntryType​(String type)
    Parses the tab stop index entry type.
    Parameters:
      `type` - the type
    Returns:
      the tab stop index entry type

  - ### parseTabStopIndexEntryType

    public static String parseTabStopIndexEntryType​(TabStopIndexEntryType type)
    Parses the tab stop index entry type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseChapterDisplayType

    public static ChapterDisplayType parseChapterDisplayType​(String type)
    Parses the chapter display type.
    Parameters:
      `type` - the type
    Returns:
      the chapter display type

  - ### parseChapterDisplayType

    public static String parseChapterDisplayType​(ChapterDisplayType type)
    Parses the chapter display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseShadowVisibility

    public static ShadowVisibility parseShadowVisibility​(String visibility)
    Parses the shadow visibility.
    Parameters:
      `visibility` - the visibility
    Returns:
      the shadow visibility

  - ### parseShadowVisibility

    public static String parseShadowVisibility​(ShadowVisibility visibility)
    Parses the shadow visibility.
    Parameters:
      `visibility` - the visibility
    Returns:
      the string

  - ### parseIndexScope

    public static IndexScope parseIndexScope​(String scope)
    Parses the index scope.
    Parameters:
      `scope` - the scope
    Returns:
      the index scope

  - ### parseIndexScope

    public static String parseIndexScope​(IndexScope scope)
    Parses the index scope.
    Parameters:
      `scope` - the scope
    Returns:
      the string

  - ### parseTabCycle

    public static TabCycle parseTabCycle​(String cycle)
    Parses the tab cycle.
    Parameters:
      `cycle` - the cycle
    Returns:
      the tab cycle

  - ### parseTabCycle

    public static String parseTabCycle​(TabCycle cycle)
    Parses the tab cycle.
    Parameters:
      `cycle` - the cycle
    Returns:
      the string

  - ### parseNavigationMode

    public static NavigationMode parseNavigationMode​(String mode)
    Parses the navigation mode.
    Parameters:
      `mode` - the mode
    Returns:
      the navigation mode

  - ### parseNavigationMode

    public static String parseNavigationMode​(NavigationMode mode)
    Parses the navigation mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseCaptionAngleType

    public static CaptionAngleType parseCaptionAngleType​(String type)
    Parses the caption angle type.
    Parameters:
      `type` - the type
    Returns:
      the caption angle type

  - ### parseCaptionAngleType

    public static String parseCaptionAngleType​(CaptionAngleType type)
    Parses the caption angle type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCaptionSequenceFormat

    public static CaptionSequenceFormat parseCaptionSequenceFormat​(String format)
    Parses the caption sequence format.
    Parameters:
      `format` - the format
    Returns:
      the caption sequence format

  - ### parseCaptionSequenceFormat

    public static String parseCaptionSequenceFormat​(CaptionSequenceFormat format)
    Parses the caption sequence format.
    Parameters:
      `format` - the format
    Returns:
      the string

  - ### parseChapterDisplayFormat

    public static ChapterDisplayFormat parseChapterDisplayFormat​(String format)
    Parses the chapter display format.
    Parameters:
      `format` - the format
    Returns:
      the chapter display format

  - ### parseChapterDisplayFormat

    public static String parseChapterDisplayFormat​(ChapterDisplayFormat format)
    Parses the chapter display format.
    Parameters:
      `format` - the format
    Returns:
      the string

  - ### parseCaptionEscapeDirection

    public static CaptionEscapeDirection parseCaptionEscapeDirection​(String direction)
    Parses the caption escape direction.
    Parameters:
      `direction` - the direction
    Returns:
      the caption escape direction

  - ### parseCaptionEscapeDirection

    public static String parseCaptionEscapeDirection​(CaptionEscapeDirection direction)
    Parses the caption escape direction.
    Parameters:
      `direction` - the direction
    Returns:
      the string

  - ### parseCaptionType

    public static CaptionType parseCaptionType​(String type)
    Parses the caption type.
    Parameters:
      `type` - the type
    Returns:
      the caption type

  - ### parseCaptionType

    public static String parseCaptionType​(CaptionType type)
    Parses the caption type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseWordWrapType

    public static WordWrapType parseWordWrapType​(String type)
    Parses the word wrap type.
    Parameters:
      `type` - the type
    Returns:
      the word wrap type

  - ### parseWordWrapType

    public static String parseWordWrapType​(WordWrapType type)
    Parses the word wrap type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseMeasureUnit

    public static MeasureUnit parseMeasureUnit​(String unit)
    Parses the measure unit.
    Parameters:
      `unit` - the unit
    Returns:
      the measure unit

  - ### parseMeasureUnit

    public static String parseMeasureUnit​(MeasureUnit unit)
    Parses the measure unit.
    Parameters:
      `unit` - the unit
    Returns:
      the string

  - ### parseMeasureVerticalAlignment

    public static MeasureVerticalAlignment parseMeasureVerticalAlignment​(String alignment)
    Parses the measure vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the measure vertical alignment

  - ### parseMeasureVerticalAlignment

    public static String parseMeasureVerticalAlignment​(MeasureVerticalAlignment alignment)
    Parses the measure vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseMeasureHorizontalAlignment

    public static MeasureHorizontalAlignment parseMeasureHorizontalAlignment​(String alignment)
    Parses the measure horizontal alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the measure horizontal alignment

  - ### parseMeasureHorizontalAlignment

    public static String parseMeasureHorizontalAlignment​(MeasureHorizontalAlignment alignment)
    Parses the measure horizontal alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseColorMode

    public static ColorMode parseColorMode​(String mode)
    Parses the color mode.
    Parameters:
      `mode` - the mode
    Returns:
      the color mode

  - ### parseColorMode

    public static String parseColorMode​(ColorMode mode)
    Parses the color mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseTextAreaVerticalAlignment

    public static TextAreaVerticalAlignment parseTextAreaVerticalAlignment​(String alignment)
    Parses the text area vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the text area vertical alignment

  - ### parseTextAreaVerticalAlignment

    public static String parseTextAreaVerticalAlignment​(TextAreaVerticalAlignment alignment)
    Parses the text area vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseTextAreaHorizontalAlignment

    public static TextAreaHorizontalAlignment parseTextAreaHorizontalAlignment​(String alignment)
    Parses the text area horizontal alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the text area horizontal alignment

  - ### parseTextAreaHorizontalAlignment

    public static String parseTextAreaHorizontalAlignment​(TextAreaHorizontalAlignment alignment)
    Parses the text area horizontal alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseAnimationDirection

    public static AnimationDirection parseAnimationDirection​(String direction)
    Parses the animation direction.
    Parameters:
      `direction` - the direction
    Returns:
      the animation direction

  - ### parseAnimationDirection

    public static String parseAnimationDirection​(AnimationDirection direction)
    Parses the animation direction.
    Parameters:
      `direction` - the direction
    Returns:
      the string

  - ### parseAnimationType

    public static AnimationType parseAnimationType​(String type)
    Parses the animation type.
    Parameters:
      `type` - the type
    Returns:
      the animation type

  - ### parseAnimationType

    public static String parseAnimationType​(AnimationType type)
    Parses the animation type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFillRule

    public static FillRule parseFillRule​(String rule)
    Parses the fill rule.
    Parameters:
      `rule` - the rule
    Returns:
      the fill rule

  - ### parseFillRule

    public static String parseFillRule​(FillRule rule)
    Parses the fill rule.
    Parameters:
      `rule` - the rule
    Returns:
      the string

  - ### parseStrokeStyle

    public static StrokeStyle parseStrokeStyle​(String style)
    Parses the stroke style.
    Parameters:
      `style` - the style
    Returns:
      the stroke style

  - ### parseStrokeStyle

    public static String parseStrokeStyle​(StrokeStyle style)
    Parses the stroke style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseFillImageReferencePosition

    public static FillImageReferencePosition parseFillImageReferencePosition​(String position)
    Parses the fill image reference position.
    Parameters:
      `position` - the position
    Returns:
      the fill image reference position

  - ### parseFillImageReferencePosition

    public static String parseFillImageReferencePosition​(FillImageReferencePosition position)
    Parses the fill image reference position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseFillImageRenderingStyle

    public static FillImageRenderingStyle parseFillImageRenderingStyle​(String style)
    Parses the fill image rendering style.
    Parameters:
      `style` - the style
    Returns:
      the fill image rendering style

  - ### parseFillImageRenderingStyle

    public static String parseFillImageRenderingStyle​(FillImageRenderingStyle style)
    Parses the fill image rendering style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseFillStyle

    public static FillStyle parseFillStyle​(String style)
    Parses the fill style.
    Parameters:
      `style` - the style
    Returns:
      the fill style

  - ### parseFillStyle

    public static String parseFillStyle​(FillStyle style)
    Parses the fill style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseSectionDisplayType

    public static SectionDisplayType parseSectionDisplayType​(String type)
    Parses the section display type.
    Parameters:
      `type` - the type
    Returns:
      the section display type

  - ### parseSectionDisplayType

    public static String parseSectionDisplayType​(SectionDisplayType type)
    Parses the section display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseUserDefinedMetadataElementType

    public static UserDefinedMetadataElementType parseUserDefinedMetadataElementType​(String type)
    Parses the user defined metadata element type.
    Parameters:
      `type` - the type
    Returns:
      the user defined metadata element type

  - ### parseUserDefinedMetadataElementType

    public static String parseUserDefinedMetadataElementType​(UserDefinedMetadataElementType type)
    Parses the user defined metadata element type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseConfigurationType

    public static ConfigurationType parseConfigurationType​(String type)
    Parses the configuration type.
    Parameters:
      `type` - the type
    Returns:
      the configuration type

  - ### parseConfigurationType

    public static String parseConfigurationType​(ConfigurationType type)
    Parses the configuration type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCellValueType

    public static CellValueType parseCellValueType​(String type)
    Parses the cell value type.
    Parameters:
      `type` - the type
    Returns:
      the cell value type

  - ### parseCellValueType

    public static String parseCellValueType​(CellValueType type)
    Parses the cell value type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFormatSource

    public static String parseFormatSource​(FormatSource source)
    Parses the format source.
    Parameters:
      `source` - the source
    Returns:
      the string

  - ### parseFormatSource

    public static FormatSource parseFormatSource​(String source)
    Parses the format source.
    Parameters:
      `source` - the source
    Returns:
      the format source

  - ### parseEnableDisable

    public static boolean parseEnableDisable​(String enable)
    Parses the enable disable.
    Parameters:
      `enable` - the enable
    Returns:
      true, if successful

  - ### parseUnderlineStyle

    public static UnderlineStyle parseUnderlineStyle​(String style)
    Parses the underline style.
    Parameters:
      `style` - the style
    Returns:
      the underline style

  - ### parseUnderlineStyle

    public static String parseUnderlineStyle​(UnderlineStyle style)
    Parses the underline style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseUnderlineType

    public static UnderlineType parseUnderlineType​(String type)
    Parses the underline type.
    Parameters:
      `type` - the type
    Returns:
      the underline type

  - ### parseUnderlineType

    public static String parseUnderlineType​(UnderlineType type)
    Parses the underline type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFontRelief

    public static FontRelief parseFontRelief​(String relief)
    Parses the font relief.
    Parameters:
      `relief` - the relief
    Returns:
      the font relief

  - ### parseFontRelief

    public static String parseFontRelief​(FontRelief relief)
    Parses the font relief.
    Parameters:
      `relief` - the relief
    Returns:
      the string

  - ### parseTextAlignmentLastLine

    public static TextAlignmentLastLine parseTextAlignmentLastLine​(String alignment)
    Parses the text alignment last line.
    Parameters:
      `alignment` - the alignment
    Returns:
      the text alignment last line

  - ### parseTextAlignmentLastLine

    public static String parseTextAlignmentLastLine​(TextAlignmentLastLine alignment)
    Parses the text alignment last line.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parsePrintPageOrder

    public static PrintPageOrder parsePrintPageOrder​(String order)
    Parses the print page order.
    Parameters:
      `order` - the order
    Returns:
      the prints the page order

  - ### parsePrintPageOrder

    public static String parsePrintPageOrder​(PrintPageOrder order)
    Parses the print page order.
    Parameters:
      `order` - the order
    Returns:
      the string

  - ### parseTableCentering

    public static TableCentering parseTableCentering​(String centering)
    Parses the table centering.
    Parameters:
      `centering` - the centering
    Returns:
      the table centering

  - ### parseTableCentering

    public static String parseTableCentering​(TableCentering centering)
    Parses the table centering.
    Parameters:
      `centering` - the centering
    Returns:
      the string

  - ### parseMessageType

    public static MessageType parseMessageType​(String type)
    Parses the message type.
    Parameters:
      `type` - the type
    Returns:
      the message type

  - ### parseMessageType

    public static String parseMessageType​(MessageType type)
    Parses the message type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDisplayListType

    public static DisplayListType parseDisplayListType​(String type)
    Parses the display list type.
    Parameters:
      `type` - the type
    Returns:
      the display list type

  - ### parseDisplayListType

    public static String parseDisplayListType​(DisplayListType type)
    Parses the display list type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTransliterationStyle

    public static TransliterationStyle parseTransliterationStyle​(String style)
    Parses the transliteration style.
    Parameters:
      `style` - the style
    Returns:
      the transliteration style

  - ### parseTransliterationStyle

    public static String parseTransliterationStyle​(TransliterationStyle style)
    Parses the transliteration style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseVisibility

    public static String parseVisibility​(Visibility visibility)
    Parses the visibility.
    Parameters:
      `visibility` - the visibility
    Returns:
      the string

  - ### parseVisibility

    public static Visibility parseVisibility​(String visibility)
    Parses the visibility.
    Parameters:
      `visibility` - the visibility
    Returns:
      the visibility

  - ### parseFontStretch

    public static FontStretch parseFontStretch​(String stretch)
    Parses the font stretch.
    Parameters:
      `stretch` - the stretch
    Returns:
      the font stretch

  - ### parseFontStretch

    public static String parseFontStretch​(FontStretch stretch)
    Parses the font stretch.
    Parameters:
      `stretch` - the stretch
    Returns:
      the string

  - ### parsePageUsage

    public static PageUsage parsePageUsage​(String pageUsage)
    Parses the page usage.
    Parameters:
      `pageUsage` - the page usage
    Returns:
      the page usage

  - ### parsePageUsage

    public static String parsePageUsage​(PageUsage pageUsage)
    Parses the page usage.
    Parameters:
      `pageUsage` - the page usage
    Returns:
      the string

  - ### parseTextRotationScale

    public static TextRotationScale parseTextRotationScale​(String scale)
    Parses the text rotation scale.
    Parameters:
      `scale` - the scale
    Returns:
      the text rotation scale

  - ### parseTextRotationScale

    public static String parseTextRotationScale​(TextRotationScale scale)
    Parses the text rotation scale.
    Parameters:
      `scale` - the scale
    Returns:
      the string

  - ### parseTextCombine

    public static TextCombine parseTextCombine​(String combine)
    Parses the text combine.
    Parameters:
      `combine` - the combine
    Returns:
      the text combine

  - ### parseTextCombine

    public static String parseTextCombine​(TextCombine combine)
    Parses the text combine.
    Parameters:
      `combine` - the combine
    Returns:
      the string

  - ### parseLineMode

    public static LineMode parseLineMode​(String mode)
    Parses the line mode.
    Parameters:
      `mode` - the mode
    Returns:
      the line mode

  - ### parseLineMode

    public static String parseLineMode​(LineMode mode)
    Parses the line mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseBorderModel

    public static BorderModel parseBorderModel​(String model)
    Parses the border model.
    Parameters:
      `model` - the model
    Returns:
      the border model

  - ### parseBorderModel

    public static String parseBorderModel​(BorderModel model)
    Parses the border model.
    Parameters:
      `model` - the model
    Returns:
      the string

  - ### parseWritingMode

    public static WritingMode parseWritingMode​(String mode)
    Parses the writing mode.
    Parameters:
      `mode` - the mode
    Returns:
      the writing mode

  - ### parseWritingMode

    public static String parseWritingMode​(WritingMode mode)
    Parses the writing mode.
    Parameters:
      `mode` - the mode
    Returns:
      the string

  - ### parseRubyAlignment

    public static RubyAlignment parseRubyAlignment​(String alignment)
    Parses the ruby alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the ruby alignment

  - ### parseRubyAlignment

    public static String parseRubyAlignment​(RubyAlignment alignment)
    Parses the ruby alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseRubyPosition

    public static RubyPosition parseRubyPosition​(String position)
    Parses the ruby position.
    Parameters:
      `position` - the position
    Returns:
      the ruby position

  - ### parseRubyPosition

    public static String parseRubyPosition​(RubyPosition position)
    Parses the ruby position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseDisplayFormat

    public static DisplayFormat parseDisplayFormat​(String format)
    Parses the display format.
    Parameters:
      `format` - the format
    Returns:
      the display format

  - ### parseDisplayFormat

    public static String parseDisplayFormat​(DisplayFormat format)
    Parses the display format.
    Parameters:
      `format` - the format
    Returns:
      the string

  - ### parseSelectPage

    public static String parseSelectPage​(SelectPage page)
    Parses the select page.
    Parameters:
      `page` - the page
    Returns:
      the string

  - ### parseSelectPage

    public static SelectPage parseSelectPage​(String page)
    Parses the select page.
    Parameters:
      `page` - the page
    Returns:
      the select page

  - ### parseTextAlignmentSource

    public static String parseTextAlignmentSource​(TextAlignmentSource source)
    Parses the text alignment source.
    Parameters:
      `source` - the source
    Returns:
      the string

  - ### parseTextAlignmentSource

    public static TextAlignmentSource parseTextAlignmentSource​(String source)
    Parses the text alignment source.
    Parameters:
      `source` - the source
    Returns:
      the text alignment source

  - ### parseVerticalPosition

    public static VerticalPosition parseVerticalPosition​(String type)
    Parses the vertical position.
    Parameters:
      `type` - the type
    Returns:
      the vertical position

  - ### parseVerticalPosition

    public static String parseVerticalPosition​(VerticalPosition type)
    Parses the vertical position.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseVerticalRelation

    public static VerticalRelation parseVerticalRelation​(String relation)
    Parses the vertical relation.
    Parameters:
      `relation` - the relation
    Returns:
      the vertical relation

  - ### parseVerticalRelation

    public static String parseVerticalRelation​(VerticalRelation relation)
    Parses the vertical relation.
    Parameters:
      `relation` - the relation
    Returns:
      the string

  - ### parseHorizontalRelation

    public static HorizontalRelation parseHorizontalRelation​(String relation)
    Parses the horizontal relation.
    Parameters:
      `relation` - the relation
    Returns:
      the horizontal relation

  - ### parseHorizontalRelation

    public static String parseHorizontalRelation​(HorizontalRelation relation)
    Parses the horizontal relation.
    Parameters:
      `relation` - the relation
    Returns:
      the string

  - ### parseHorizontalPosition

    public static HorizontalPosition parseHorizontalPosition​(String type)
    Parses the horizontal position.
    Parameters:
      `type` - the type
    Returns:
      the horizontal position

  - ### parseHorizontalPosition

    public static String parseHorizontalPosition​(HorizontalPosition type)
    Parses the horizontal position.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseColumnSeparatorLineStyle

    public static ColumnSeparatorLineStyle parseColumnSeparatorLineStyle​(String style)
    Parses the column separator line style.
    Parameters:
      `style` - the style
    Returns:
      the column separator line style

  - ### parseColumnSeparatorLineStyle

    public static String parseColumnSeparatorLineStyle​(ColumnSeparatorLineStyle style)
    Parses the column separator line style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseVerticalLineAlignment

    public static VerticalLineAlignment parseVerticalLineAlignment​(String alignment)
    Parses the vertical line alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the vertical line alignment

  - ### parseVerticalLineAlignment

    public static String parseVerticalLineAlignment​(VerticalLineAlignment alignment)
    Parses the vertical line alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parsePrintOrientation

    public static PrintOrientation parsePrintOrientation​(String orientation)
    Parses the print orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the prints the orientation

  - ### parsePrintOrientation

    public static String parsePrintOrientation​(PrintOrientation orientation)
    Parses the print orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the string

  - ### parseDirection

    public static Direction parseDirection​(String direction)
    Parses the direction.
    Parameters:
      `direction` - the direction
    Returns:
      the direction

  - ### parseDirection

    public static String parseDirection​(Direction direction)
    Parses the direction.
    Parameters:
      `direction` - the direction
    Returns:
      the string

  - ### parseNoteClass

    public static NoteClass parseNoteClass​(String type)
    Parses the note class.
    Parameters:
      `type` - the type
    Returns:
      the note class

  - ### parseNoteClass

    public static String parseNoteClass​(NoteClass type)
    Parses the note class.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseScriptType

    public static ScriptType parseScriptType​(String type)
    Parses the script type.
    Parameters:
      `type` - the type
    Returns:
      the script type

  - ### parseScriptType

    public static String parseScriptType​(ScriptType type)
    Parses the script type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseBorderStyle

    public static String parseBorderStyle​(BorderStyle style)
    Parses the border style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseBorderStyle

    public static BorderStyle parseBorderStyle​(String style)
    Parses the border style.
    Parameters:
      `style` - the style
    Returns:
      the border style

  - ### parseLineBreakType

    public static LineBreakType parseLineBreakType​(String type)
    Parses the line break type.
    Parameters:
      `type` - the type
    Returns:
      the line break type

  - ### parseLineBreakType

    public static String parseLineBreakType​(LineBreakType type)
    Parses the line break type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseWrapType

    public static WrapType parseWrapType​(String wrap)
    Parses the wrap type.
    Parameters:
      `wrap` - the wrap
    Returns:
      the wrap type

  - ### parseWrapType

    public static String parseWrapType​(WrapType wrap)
    Parses the wrap type.
    Parameters:
      `wrap` - the wrap
    Returns:
      the string

  - ### parsePunctuationWrap

    public static PunctuationWrap parsePunctuationWrap​(String wrap)
    Parses the punctuation wrap.
    Parameters:
      `wrap` - the wrap
    Returns:
      the punctuation wrap

  - ### parsePunctuationWrap

    public static String parsePunctuationWrap​(PunctuationWrap wrap)
    Parses the punctuation wrap.
    Parameters:
      `wrap` - the wrap
    Returns:
      the string

  - ### parseTextAutospace

    public static TextAutospace parseTextAutospace​(String autospace)
    Parses the text autospace.
    Parameters:
      `autospace` - the autospace
    Returns:
      the text autospace

  - ### parseTextAutospace

    public static String parseTextAutospace​(TextAutospace autospace)
    Parses the text autospace.
    Parameters:
      `autospace` - the autospace
    Returns:
      the string

  - ### parseFontVariant

    public static FontVariant parseFontVariant​(String fontVariant)
    Parses the font variant.
    Parameters:
      `fontVariant` - the font variant
    Returns:
      the font variant

  - ### parseFontVariant

    public static String parseFontVariant​(FontVariant fontVariant)
    Parses the font variant.
    Parameters:
      `fontVariant` - the font variant
    Returns:
      the string

  - ### parseFontStyleType

    public static String parseFontStyleType​(FontStyleType style)
    Parses the font style type.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseFontStyleType

    public static FontStyleType parseFontStyleType​(String style)
    Parses the font style type.
    Parameters:
      `style` - the style
    Returns:
      the font style type

  - ### parseBreak

    public static Break parseBreak​(String breakString)
    Parses the break.
    Parameters:
      `breakString` - the break string
    Returns:
      the break

  - ### parseBreak

    public static String parseBreak​(Break breakString)
    Parses the break.
    Parameters:
      `breakString` - the break string
    Returns:
      the string

  - ### parseFontPitch

    public static String parseFontPitch​(FontPitch fontPitch)
    Parses the font pitch.
    Parameters:
      `fontPitch` - the font pitch
    Returns:
      the string

  - ### parseFontPitch

    public static FontPitch parseFontPitch​(String fontPitch)
    Parses the font pitch.
    Parameters:
      `fontPitch` - the font pitch
    Returns:
      the font pitch

  - ### parseFontWeight

    public static FontWeight parseFontWeight​(String weight)
    Parses the font weight.
    Parameters:
      `weight` - the weight
    Returns:
      the font weight

  - ### parseFontWeight

    public static String parseFontWeight​(FontWeight weight)
    Parses the font weight.
    Parameters:
      `weight` - the weight
    Returns:
      the string

  - ### parseLineType

    public static String parseLineType​(LineType type)
    Parses the line type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseLineType

    public static LineType parseLineType​(String type)
    Parses the line type.
    Parameters:
      `type` - the type
    Returns:
      the line type

  - ### parseRotationAlignment

    public static RotationAlignment parseRotationAlignment​(String alignment)
    Parses the rotation alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the rotation alignment

  - ### parseRotationAlignment

    public static String parseRotationAlignment​(RotationAlignment alignment)
    Parses the rotation alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseCellProtectType

    public static CellProtectType parseCellProtectType​(String type)
    Parses the cell protect type.
    Parameters:
      `type` - the type
    Returns:
      the cell protect type

  - ### parseCellProtectType

    public static String parseCellProtectType​(CellProtectType type)
    Parses the cell protect type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseVerticalGlyphOrientation

    public static VerticalGlyphOrientation parseVerticalGlyphOrientation​(String orientation)
    Parses the vertical glyph orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the vertical glyph orientation

  - ### parseVerticalGlyphOrientation

    public static String parseVerticalGlyphOrientation​(VerticalGlyphOrientation orientation)
    Parses the vertical glyph orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the string

  - ### parseKeepTogether

    public static KeepTogether parseKeepTogether​(String keep)
    Parses the keep together.
    Parameters:
      `keep` - the keep
    Returns:
      the keep together

  - ### parseKeepTogether

    public static String parseKeepTogether​(KeepTogether keep)
    Parses the keep together.
    Parameters:
      `keep` - the keep
    Returns:
      the string

  - ### parseTabStopType

    public static TabStopType parseTabStopType​(String type)
    Parses the tab stop type.
    Parameters:
      `type` - the type
    Returns:
      the tab stop type

  - ### parseTabStopType

    public static String parseTabStopType​(TabStopType type)
    Parses the tab stop type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseLineStyle

    public static LineStyle parseLineStyle​(String style)
    Parses the line style.
    Parameters:
      `style` - the style
    Returns:
      the line style

  - ### parseLineStyle

    public static String parseLineStyle​(LineStyle style)
    Parses the line style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseTextTransformation

    public static String parseTextTransformation​(TextTransformation transformation)
    Parses the text transformation.
    Parameters:
      `transformation` - the transformation
    Returns:
      the string

  - ### parseTextTransformation

    public static TextTransformation parseTextTransformation​(String transformation)
    Parses the text transformation.
    Parameters:
      `transformation` - the transformation
    Returns:
      the text transformation

  - ### parseVerticalAlignment

    public static VerticalAlignment parseVerticalAlignment​(String alignment)
    Parses the vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the vertical alignment

  - ### parseVerticalAlignment

    public static String parseVerticalAlignment​(VerticalAlignment alignment)
    Parses the vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseCellVerticalAlignment

    public static String parseCellVerticalAlignment​(CellVerticalAlignment alignment)
    Parses the cell vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseCellVerticalAlignment

    public static CellVerticalAlignment parseCellVerticalAlignment​(String alignment)
    Parses the cell vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the cell vertical alignment

  - ### parseUnit

    public static String parseUnit​(Unit unit)
    Parses the unit.
    Parameters:
      `unit` - the unit
    Returns:
      the string

  - ### parseUnit

    public static Unit parseUnit​(String unit)
    Parses the unit.
    Parameters:
      `unit` - the unit
    Returns:
      the unit

  - ### parseTextAlignment

    public static TextAlignment parseTextAlignment​(String align)
    Parses the text alignment.
    Parameters:
      `align` - the align
    Returns:
      the text alignment

  - ### parseTextAlignment

    public static String parseTextAlignment​(TextAlignment align)
    Parses the text alignment.
    Parameters:
      `align` - the align
    Returns:
      the string

  - ### parseTableAlignment

    public static String parseTableAlignment​(TableAlignment align)
    Parses the table alignment.
    Parameters:
      `align` - the align
    Returns:
      the string

  - ### parseTableAlignment

    public static TableAlignment parseTableAlignment​(String align)
    Parses the table alignment.
    Parameters:
      `align` - the align
    Returns:
      the table alignment

  - ### parseGenericFontFamily

    public static GenericFontFamily parseGenericFontFamily​(String family)
    Parses the generic font family.
    Parameters:
      `family` - the family
    Returns:
      the generic font family

  - ### parseGenericFontFamily

    public static String parseGenericFontFamily​(GenericFontFamily family)
    Parses the generic font family.
    Parameters:
      `family` - the family
    Returns:
      the string

  - ### parseStyleFamily

    public static StyleFamily parseStyleFamily​(String family)
    Parses the style family.
    Parameters:
      `family` - the family
    Returns:
      the style family

  - ### parseStyleFamily

    public static String parseStyleFamily​(StyleFamily family)
    Parses the style family.
    Parameters:
      `family` - the family
    Returns:
      the string